Bug 591346 - [abrt] crash in pulseaudio-0.9.21-5.fc12: raise: Process /usr/bin/pulseaudio was killed by signal 6 (SIGABRT)
[abrt] crash in pulseaudio-0.9.21-5.fc12: raise: Process /usr/bin/pulseaudio ...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: pulseaudio (Show other bugs)
12
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Lennart Poettering
Fedora Extras Quality Assurance
abrt_hash:a16418f07a58c4e9098d1a46a81...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-11 19:53 EDT by Richard Shaw
Modified: 2010-12-03 09:48 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-03 09:48:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (18.04 KB, text/plain)
2010-05-11 19:53 EDT, Richard Shaw
no flags Details

  None (edit)
Description Richard Shaw 2010-05-11 19:53:56 EDT
abrt 1.0.9 detected a crash.

architecture: x86_64
Attached file: backtrace
cmdline: pulseaudio -D
component: pulseaudio
crash_function: raise
executable: /usr/bin/pulseaudio
global_uuid: a16418f07a58c4e9098d1a46a81b65610d4c2ed4
kernel: 2.6.32.11-99.fc12.x86_64
package: pulseaudio-0.9.21-5.fc12
rating: 4
reason: Process /usr/bin/pulseaudio was killed by signal 6 (SIGABRT)
release: Fedora release 12 (Constantine)

How to reproduce
-----
1. Attempt to run pavucontrol after login.
2.
3.
Comment 1 Richard Shaw 2010-05-11 19:53:58 EDT
Created attachment 413293 [details]
File: backtrace
Comment 2 Mads Kiilerich 2010-05-12 09:40:11 EDT
Caused by assertion in pa_source_check_suspend:
        st = pa_source_output_get_state(o);
        pa_assert(PA_SOURCE_OUTPUT_IS_LINKED(st));
Comment 3 Richard Shaw 2010-05-12 10:14:32 EDT
I double checked and I can get pavucontrol to load until I run the following:

pactl load-module module-loopback

This command is actually I think what's causing the crash. I'll verify once I'm home from work.
Comment 4 Richard Shaw 2010-05-12 21:39:15 EDT
Verified pulseaudio crashes on module-load, not on running pavucontrol.
Comment 5 Aurelien Bompard 2010-06-24 16:47:20 EDT
I confirm running "pactl load-module module-loopback" causes the following error:
E: source.c: Assertion 'PA_SOURCE_OUTPUT_IS_LINKED(st)' failed at pulsecore/source.c:999, function pa_source_check_suspend(). Aborting.
Comment 6 Bug Zapper 2010-11-03 11:03:34 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2010-12-03 09:48:00 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.